Unable to install Traps Core 4.2.3

Reply
L3 Networker

Unable to install Traps Core 4.2.3

We are trying to install a new Traps Core 4.2.3 enviroment. When the installation is in progress, after a while we see rollback action. The installation log file doesn't really say much:

27/02/2019 9:11:55 Starting certificate password validation
27/02/2019 9:11:55 Certificate password is valid.
27/02/2019 9:11:55 Certificate has expiration date: 22/04/2020 10:43:27.
27/02/2019 9:13:12 Entered ValidateDBConnectionInternal, isQuiet = False
27/02/2019 9:13:12 Attempting to open configuration file of: ''
27/02/2019 9:13:12 Does AppSetting 'sqlOverSsl' exist in file: False
27/02/2019 9:13:12 Does AppSetting 'sqlOverSslValidateCert' exist in file: False
27/02/2019 9:13:12 No existing SSL configuration values, resorting to default behavior
27/02/2019 9:13:12 PREVIOUSVERSIONSINSTALLED =
27/02/2019 9:13:12 isUpgrade = False
27/02/2019 9:13:12 serverName: DBSERVER.domain.local, serverNameFqdn: DBSERVER.domain.local, authType: WindowsAuthentication, dbName: TrapsDB, user: domain\user, SSL:False, SSL_ValidateCert: False
27/02/2019 9:13:12 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.DbConnectionValidation
27/02/2019 9:13:12 Trying to connect to DB DBSERVER.domain.local
27/02/2019 9:13:12 Validation result is: True
27/02/2019 9:13:12 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.PermissionsValidation
27/02/2019 9:13:12 Validation result is: True
27/02/2019 9:13:12 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.CaseSensitiveValidation
27/02/2019 9:13:12 Validation result is: True
27/02/2019 9:13:12 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.LatencyValidation
27/02/2019 9:13:12 Latency calculated: 0
27/02/2019 9:13:12 Validation result is: True
27/02/2019 9:13:12 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.EsmSchemaValidation
27/02/2019 9:13:13 Validation result is: True
27/02/2019 9:13:13 Validated: True, IsMulti: False, IsReinstall: True, IsConsole: False, IsUpgrade: False

 

Without SSL:

27/02/2019 12:18:32 Starting certificate password validation
27/02/2019 12:18:32 Certificate password is valid.
27/02/2019 12:18:32 Certificate has expiration date: 22/04/2020 10:43:27.
27/02/2019 12:19:04 Entered ValidateDBConnectionInternal, isQuiet = False
27/02/2019 12:19:04 Attempting to open configuration file of: ''
27/02/2019 12:19:04 Does AppSetting 'sqlOverSsl' exist in file: False
27/02/2019 12:19:04 Does AppSetting 'sqlOverSslValidateCert' exist in file: False
27/02/2019 12:19:04 No existing SSL configuration values, resorting to default behavior
27/02/2019 12:19:04 PREVIOUSVERSIONSINSTALLED =
27/02/2019 12:19:04 isUpgrade = False
27/02/2019 12:19:04 serverName: DBSERVER.domain.local, serverNameFqdn: DBSERVER.domain.local, authType: WindowsAuthentication, dbName: TrapsDB, user: domain\user, SSL:False, SSL_ValidateCert: False
27/02/2019 12:19:05 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.DbConnectionValidation
27/02/2019 12:19:05 Trying to connect to DB DBServer.wamo.local
27/02/2019 12:19:05 Validation result is: True
27/02/2019 12:19:05 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.PermissionsValidation
27/02/2019 12:19:05 Validation result is: True
27/02/2019 12:19:05 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.CaseSensitiveValidation
27/02/2019 12:19:05 Validation result is: True
27/02/2019 12:19:05 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.LatencyValidation
27/02/2019 12:19:05 Latency calculated: 0
27/02/2019 12:19:05 Validation result is: True
27/02/2019 12:19:05 Start db validation of type: Cyvera.Server.WiXCustomActions.Validations.EsmSchemaValidation
27/02/2019 12:19:05 Validation result is: True
27/02/2019 12:19:05 Validated: True, IsMulti: False, IsReinstall: True, IsConsole: False, IsUpgrade: False

Tags (4)
L4 Transporter

Re: Unable to install Traps Core 4.2.3

@ZEBIT 

 

I would highly recommend opening a case with Palo Alto Networks support. Who can help review the install logs, and troubleshoot with you. They also have the ability for a remote session to better understand the issue and offer resolve.

L1 Bithead

Re: Unable to install Traps Core 4.2.3

We had installation problems with only one (the first one) of our 4 ESM servers. Always while upgrading (inplace) on this server we had to uninstall the old core version, before installing the new core version. Update was failing all the time.

Now some weeks ago we installed the server OS from scratch. Since then we have done one update from V4.2.3 to V4.2.4 without any problem.

So our workaround was uninstall/install instead of upgrading to new core versions. And the fix was complete new server OS installe from scratch - maybe we had some left overs on this "early bird" server that have caused the problems.

 

HIH, cheers

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!